Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2013-05-23 12:00:56 +0000
committerDavid Williams2013-05-23 12:00:56 +0000
commit0bd810149652bd18ea8a73ef04725ce8912bae00 (patch)
tree9c8ba26e6753282c80c7ff95d6a968687ea6f6a2 /production/publish-repo.sh
parenta47de7c69e8e755e00a58ee34b73c0c51f31ac05 (diff)
downloadeclipse.platform.releng.aggregator-0bd810149652bd18ea8a73ef04725ce8912bae00.tar.gz
eclipse.platform.releng.aggregator-0bd810149652bd18ea8a73ef04725ce8912bae00.tar.xz
eclipse.platform.releng.aggregator-0bd810149652bd18ea8a73ef04725ce8912bae00.zip
Bug 404443 - Replace map file entries link with a link to the aggregator
commit, and enables better testing of Bug 408632 - Builder should handle tags/branches/commented out entries in repositories.txt file
Diffstat (limited to 'production/publish-repo.sh')
-rw-r--r--production/publish-repo.sh22
1 files changed, 15 insertions, 7 deletions
diff --git a/production/publish-repo.sh b/production/publish-repo.sh
index 8fbfbafd9..1f8261872 100644
--- a/production/publish-repo.sh
+++ b/production/publish-repo.sh
@@ -55,7 +55,7 @@ function updateSiteOnBuildMachine()
eclipseStreamMinor=${BASH_REMATCH[2]}
eclipseStreamService=${BASH_REMATCH[3]}
else
- echo "STREAM, $STREAM, must contain major, minor, and service versions, such as 4.3.0" >&2
+ echo "STREAM, $STREAM, must contain major, minor, and service versions, such as 4.3.0" >${TRACE_OUTPUT}
return 1
fi
@@ -64,10 +64,10 @@ function updateSiteOnBuildMachine()
siteDirOnBuildMachine=$siteDir/updates/${eclipseStreamMajor}.${eclipseStreamMinor}-${buildType}-${updatesSuffix}/${BUILD_ID}
mkdir -p ${siteDirOnBuildMachine}
RC=$?
- if (( RC != 0 ))
+ if [[ $RC != 0 ]]
then
- echo "ERROR: could not create update site on build machine. RC: $RC"
- echo " obtained error trying to create ${siteDirOnBuildMachine}"
+ echo "ERROR: could not create update site on build machine. RC: $RC" >${TRACE_OUTPUT}
+ echo " obtained error trying to create ${siteDirOnBuildMachine}" >${TRACE_OUTPUT}
return 1
fi
@@ -97,7 +97,7 @@ then
then
rsync --times --omit-dir-times --recursive "${repositoryDir}/" "${siteDirOnBuildMachine}/"
RC=$?
- if (( $RC != 0 ))
+ if [[ $RC != 0 ]]
then
echo "ERROR: rsync of repo returned error. RC: $RC"
echo " obtained while copying"
@@ -123,15 +123,20 @@ else
-Dbuildlogs=$logsDirectory/comparatorlogs \
-DsiteDirOnBuildMachine=$siteDirOnBuildMachine \
-DcomparatorRepository=$comparatorRepository \
- -Djava.io.tmpdir=$TMP_DIR
+ -Djava.io.tmpdir=$TMP_DIR
+ RC=$?
+ if [[ $RC != 0 ]]
+ then
+ echo "ERROR: java invocation to process-artifacts did not return normally: $RC"
+ fi
fi
# copy "human readable" (user friendly) HTML file
buildType=${BUILD_ID:0:1}
rsync --times --omit-dir-times --recursive "${EBuilderDir}/eclipse/publishingFiles/staticRepoSiteFiles/${buildType}builds/simple/" "${siteDirOnBuildMachine}/"
RC=$?
-if (( $RC != 0 ))
+if [[ $RC != 0 ]]
then
echo "ERROR: rsync of repo returned error. RC: $RC"
echo " obtained while copying"
@@ -139,3 +144,6 @@ then
echo " to ${siteDirOnBuildMachine}"
exit $RC
fi
+
+exit 0
+

Back to the top